/**
  *  \file client/dlg-objsel.cc
  *
  *  (c) 2001-2011 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */

#include "client/dlg-objsel.h"
#include "ui/layout.h"
#include "gfx/palette.h"
#include "util/nls.h"
#include "ui/commands.h"
#include "game/obj.h"
#include "game/univ.h"
#include "client/tiles/objheader.h"
#include "client/widgets/objcontrol.h"
#include "ui/widgets/button.h"

WObjectSelectionDialog::WObjectSelectionDialog(const string_t title, GObjectType& type)
    : UIWindow(title, UIWindow::BLUE_WINDOW, COLOR_GRAY),
      type(type),
      content(h.add(new UIGroup(UIVBoxLayout::instance5)))
{
    buildDialog();
}

void
WObjectSelectionDialog::buildDialog()
{
    setLayout(UIVBoxLayout::instance5);

    UIGroup& buttons = h.add(new UIGroup(UIHBoxLayout::instance5));
    buttons.add(h.add(new UIButton(cm_Enter, _("ENTER - View"), SDLK_RETURN)).addStop());
    buttons.add(h.add(new UIButton(cm_Escape, _("ESC"),         SDLK_ESCAPE)).addStop());
    buttons.add(h.add(new UISpacer()));
    // buttons.add(h.add(new UIButton(cm_Help,  "H",               'H')).addCommand());

    add(h.add(new WObjectTypeHeaderTile(type)));
    add(content);
    add(buttons);
    add(h.add(new WObjectTypeControl(type)));
}

void
WObjectSelectionDialog::addWidget(UIBaseWidget& w)
{
    content.add(w);
}
