/**
  *  \file client/tiles/ufosettings.h
  *  \brief Ufo Settings tile
  */
#ifndef PCC_V2_CLIENT_TILES_UFOSETTINGS_H
#define PCC_V2_CLIENT_TILES_UFOSETTINGS_H

#include "client/wtile.h"
#include "ui/widgets/button.h"

/** Ufo settings tile. Displays the "keep" and "other end" properties
    of an Ufo, and allows the user to use them. */
class WUfoSettingsTile : public WObjectTypeObserverTile {
    UIButton btn_k;
    UIButton btn_x;

    void init();
    void onKeep();
    void onOtherEnd();
 public:
    WUfoSettingsTile(GObjectType& type);
    ~WUfoSettingsTile();
    void drawData(GfxCanvas& can);
};

#endif
